#include<iostream>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    unsigned n,l,h;
    cin>>n>>l;
    for(unsigned i=1;i<=n;++i){
        cin>>h;
        if(h<=l){
            cout<<i;
            return 0;}}
    cout<<-1;
    return 0;}